<!doctype html>
<html>
<head>
    <title>Socket.IO chat</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font: 13px Helvetica, Arial;
        }

        form {
            background: #000;
            padding: 3px;
            position: fixed;
            bottom: 0;
            width: 100%;
        }

        form input {
            border: 0;
            padding: 10px;
            width: 90%;
            margin-right: .5%;
        }

        form button {
            width: 9%;
            background: rgb(130, 224, 255);
            border: none;
            padding: 10px;
        }

        #messages {
            list-style-type: none;
            margin: 0;
            padding: 0;
        }

        #messages li {
            padding: 5px 10px;
        }

        #messages li:nth-child(odd) {
            background: #eee;
        }

        .info-message {
            color: rgba(18, 123, 198, 0.82)
        }
    </style>
</head>
<body>
<ul id="messages"></ul>
<form action="">
    <input id="send-message" autocomplete="off"/>
    <button>Send</button>
</form>
<script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.0.4/socket.io.js"></script>
<script src="https://code.jquery.com/jquery-1.11.1.js"></script>
<script>
    $(function () {
        var socket = io();
        $('form').submit(function () {
            socket.emit('send-message', $('#send-message').val());
            $('#send-message').val('');
            return false;
        });
        socket.on('receive-message', function (message) {
            $('#messages').append('<li>' + message.user + ' : ' + message.message + '</li>');
            console.log(message);
        });
        socket.on('info-message', function (message) {
            $('#messages').append('<li class="info-message">' + message + '</li>');
            console.log(message);
        });

    });
</script>
</body>
</html>